@echo off
mode con lines=30 cols=85
Title Convert from FAT32 to NTFS - DLC Corporation

:CheckFAT32
echo.
for /f "Tokens=*" %%x in ('WMIC LOGICALDISK GET FILESYSTEM^|FIND /i "FAT32"') do goto MAINMENU
echo No FAT32 Disk on Your Computer.
echo Then press any key for continue...
pause >nul
goto CheckFAT32

:MAINMENU
cls
xecho "================================================================================" /a:0E
echo.
xecho "Tool Convert" /x:25 /nolf /a:0E & xecho "_" /nolf /a:0 & xecho "FAT32" /nolf /a:0C & xecho "_" /nolf /a:0 & xecho "to" /nolf /a:0E & xecho "_" /nolf /a:0 & xecho "NTFS" /a:0C
echo.
xecho "================================================================================" /a:0E

echo.
echo FAT32 Disk List on Your Computer
echo.
xecho "Disk Type" /nolf /a:0A & xecho "_________" /nolf /a:0 & xecho "Letter" /nolf /a:0B & xecho "____" /nolf /a:0 & xecho "Type" /nolf /a:0D & xecho "________" /nolf /a:0 & xecho "Label" /a:0E
wmic logicaldisk get DESCRIPTION,DEVICEID,FILESYSTEM,VOLUMENAME|FINDSTR "FAT32"
echo.
xecho "================================================================================" /a:0A
echo.
echo  Type name FAT32 Disk with a character, 
set /p drive=(Ex: D,E,F,G,H,I,J,K,...) and Enter:

del /f /q /a  %tmp%\TestFAT32.txt >nul 2>nul
wmic logicaldisk get DESCRIPTION,DEVICEID,FILESYSTEM,VOLUMENAME|FINDSTR "FAT32" > %tmp%\TestFAT32.txt
IF /I '%drive%'=='' goto MAINMENU
find /c /i "%drive%:" "%tmp%\TestFAT32.txt" > NUL 2>NUL
if %ERRORLEVEL% == 0 (
del /f /q /a  %tmp%\TestFAT32.txt >nul 2>nul
goto proceed
)
cls
echo.
echo  FAT32 Disk Name errors.
echo  Please press any key for try again.
pause >nul
goto MAINMENU
echo.

:proceed
cls
echo.
echo Are you sure %drive%:\ is Your FAT32 Disk?
echo.
SET agree=
SET /P agree=Do you want continue with %drive%:\ (Y/N = Yes/No)?:
echo.
IF /I NOT '%agree%'=='Y' IF /I NOT '%agree%'=='N' goto proceed
IF /I '%agree%'=='Y' (
goto yes
)
goto CheckFAT32
cls

:yes
cls
echo Convert Drive %drive% from FAT32 to NTFS
echo Please wait for complete...
convert %drive%: /fs:ntfs /v /x
start msgbox "Complete convert FAT32 to NTFS. Click OK for Exit Program..." 0 "Complete"
exit